class Pdf2svg < Formula
  desc "PDF converter to SVG"
  homepage "https://cityinthesky.co.uk/opensource/pdf2svg"
  url "https://github.com/dawbarton/pdf2svg/archive/refs/tags/v0.2.3.tar.gz"
  sha256 "4fb186070b3e7d33a51821e3307dce57300a062570d028feccd4e628d50dea8a"
  license "GPL-2.0-or-later"
  revision 6

  depends_on "pkg-config" => :build
  depends_on "cairo"
  depends_on "glib"
  depends_on "poppler"

  on_macos do
    depends_on "gettext"
  end

  def install
    system "./configure", *std_configure_args.reject { |s| s["--disable-debug"] }
    system "make", "install"
  end

  test do
    system bin/"pdf2svg", test_fixtures("test.pdf"), "test.svg"
  end
end
